# Class PlayerDeathSystem

java.lang.Object
com.hypixel.hytale.component.system.System<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>
com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>
net.miarma.hystuff.system.PlayerDeathSystem

All Implemented Interfaces:
  `com.hypixel.hytale.component.system.ISystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, com.hypixel.hytale.component.system.QuerySystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`

public class PlayerDeathSystem extends com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>

## Field Summary

### Fields inherited from interface com.hypixel.hytale.component.system.ISystem

`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`PlayerDeathSystem()`

## Method Summary

Modifier and Type
Method
Description
`com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>`
`componentType()`
`com.hypixel.hytale.component.query.Query<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
`getQuery()`
`void`
`onComponentAdded(com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)`
`void`
`onComponentRemoved(com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)`
`void`
`onComponentSet(com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent t1, com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)`

### Methods inherited from class com.hypixel.hytale.component.system.System

`getComponentRegistrations, getResourceRegistrations, registerComponent, registerComponent, registerComponent, registerResource, registerResource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.hypixel.hytale.component.system.ISystem

`getDependencies, getGroup, onSystemRegistered, onSystemUnregistered`

### Methods inherited from interface com.hypixel.hytale.component.system.QuerySystem

`test`

## Constructor Details

### PlayerDeathSystem

public PlayerDeathSystem()

## Method Details

### componentType

@NonNullDecl public com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent> componentType()

Specified by:
  `componentType` in class `com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>`

### onComponentAdded

public void onComponentAdded(@NonNullDecl com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, @NonNullDecl com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, @NonNullDecl com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, @NonNullDecl com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)

Specified by:
  `onComponentAdded` in class `com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>`

### onComponentSet

public void onComponentSet(@NonNullDecl com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, @NullableDecl com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, @NonNullDecl com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent t1, @NonNullDecl com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, @NonNullDecl com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)

Specified by:
  `onComponentSet` in class `com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>`

### onComponentRemoved

public void onComponentRemoved(@NonNullDecl com.hypixel.hytale.component.Ref<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> ref, @NonNullDecl com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent deathComponent, @NonNullDecl com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, @NonNullDecl com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)

Specified by:
  `onComponentRemoved` in class `com.hypixel.hytale.component.system.RefChangeSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, com.hypixel.hytale.server.core.modules.entity.damage.DeathComponent>`

### getQuery

@NullableDecl public com.hypixel.hytale.component.query.Query<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> getQuery()